﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using Console = RobotCtrl.Console;
using RobotView;

namespace Test_Console_CE
{
    public partial class ConsoleForm : Form
    {
        private RobotCtrl.Console console;

        public ConsoleForm()
        {
            InitializeComponent();
        }

        public ConsoleForm(Console console)
            : this()
        {
            this.console = console;

            console.Lamps.Data = 0xFFFFFFF; //Assign bit pattern
            console.Lamps[0] = false;       //Bit shift
            console.Lamps[1] = false;       //Bit shift
            console.Lamps[2] = false;       //Bit shift
            console.Lamps[3] = false;       //Bit shift

            ConsoleView consoleView = new ConsoleView(console, RobotCtrl.Config.NumberOfSwitches);
            this.Controls.Add(consoleView);
        }

        private void runAnimation()
        {
            while (true)
            {
                console.Switches.Data = console.Switches.Data + 1;
                Thread.Sleep(1000);
            }
        }
    }
}