﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InTheHand.Net.Sockets;
using InTheHand.Net;
using Hslu.Bluetooth;
using InTheHand.Net.Bluetooth;
using System.IO;

namespace BTClient
{
    class Program
    {
        public static void Main()
        {
            RobotID robotID = RobotIDs.Robot02;
            //Guid serviceID = new Guid("{FB4B43E4-0328-4056-82A5-7E03BE347082}");

            using (var client = new BluetoothClient())
            {
                // connect to desired service
                client.Connect(new BluetoothAddress(0x0009dd506979), robotID.Guid);
                Console.WriteLine("Outgoing connection " + client.Client.LocalEndPoint + ".");
                // read transmitted data
                using (var reader = new StreamReader(client.GetStream()))
                using (var writer = new StreamWriter(client.GetStream()))
                {
                    // request
                    writer.WriteLine();
                    writer.Flush();
                    // print 
                    Console.WriteLine("Message received : ");
                    Console.WriteLine(reader.ReadLine());
                }
            }
        }
    }
}
