using System;
using System.Collections.Generic;
using System.Text;

namespace RobotCtrl
{
    public sealed class PositionInfo
    {
        public double X { get; set; }
        public double Y { get; set; }
        public double Angle { get; set; }

        public PositionInfo()
        {
        }

        public PositionInfo(double x, double y, double angle)
        {
            X = x;
            Y = y;
            Angle = angle;
        }

        public void SetMembersFrom(PositionInfo other)
        {
            this.X = other.X;
            this.Y = other.Y;
            this.Angle = other.Angle;
        }
    }
}
