﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace RobotCtrl
{
	public static class World
	{
        private static readonly List<Robot> robots = new List<Robot>(); //set list read-only
        public static List<Robot> Robots
        {
            get { return World.robots; }
        }

        private static readonly List<ObstacleMap> obstacles = new List<ObstacleMap>(); //set list read-only
        public static List<ObstacleMap> Obstacles
        {
            get { return World.obstacles; }
        }

        private static readonly RectangleF area = new RectangleF(-1.0f, -3.5f, 7.0f, 7.0f);
        public static RectangleF Area { get { return area; } }

	}
}